curl --request GET \
--url 'https://api.enrow.io/email/verify/bulk?id=9d4fa0ed-f76b-409f-bee4-d5468ebda70e' \
--header 'x-api-key: YOUR_API_KEY'
const batchId = '9d4fa0ed-f76b-409f-bee4-d5468ebda70e';
const response = await fetch(`https://api.enrow.io/email/verify/bulk?id=${batchId}`, {
headers: {
'x-api-key': process.env.ENROW_API_KEY
}
});
const data = await response.json();
if (data.general.status === 'completed') {
console.log(`Valid: ${data.stats.valid}/${data.stats.requested}`);
console.log(data.results);
}
import requests
import os
batch_id = "9d4fa0ed-f76b-409f-bee4-d5468ebda70e"
url = f"https://api.enrow.io/email/verify/bulk?id={batch_id}"
headers = {
"x-api-key": os.getenv("ENROW_API_KEY")
}
response = requests.get(url, headers=headers)
data = response.json()
if data["general"]["status"] == "completed":
print(f"Valid: {data['stats']['valid']}/{data['stats']['requested']}")
{
"general": {
"id": "9d4fa0ed-f76b-409f-bee4-d5468ebda70e",
"status": "completed"
},
"results": [
{
"email": "pam.beesly@dundermifflin.com",
"index": "195f87c6-376e-4eca-9861-f92935413b0c",
"qualification": "valid"
},
{
"email": "angela.martin@dundermifflin.com",
"index": "662784ae-3722-47af-b056-7554e013f73b",
"qualification": "valid"
}
],
"stats": {
"credits_cost": 0.5,
"requested": 2,
"valid": 2
}
}
{
"message": "..."
}
Email Verifier
Get Bulk Verifications
Retrieve bulk email verification results by batch ID, including per-email validity, batch status, and credits used
GET
/
email
/
verify
/
bulk
curl --request GET \
--url 'https://api.enrow.io/email/verify/bulk?id=9d4fa0ed-f76b-409f-bee4-d5468ebda70e' \
--header 'x-api-key: YOUR_API_KEY'
const batchId = '9d4fa0ed-f76b-409f-bee4-d5468ebda70e';
const response = await fetch(`https://api.enrow.io/email/verify/bulk?id=${batchId}`, {
headers: {
'x-api-key': process.env.ENROW_API_KEY
}
});
const data = await response.json();
if (data.general.status === 'completed') {
console.log(`Valid: ${data.stats.valid}/${data.stats.requested}`);
console.log(data.results);
}
import requests
import os
batch_id = "9d4fa0ed-f76b-409f-bee4-d5468ebda70e"
url = f"https://api.enrow.io/email/verify/bulk?id={batch_id}"
headers = {
"x-api-key": os.getenv("ENROW_API_KEY")
}
response = requests.get(url, headers=headers)
data = response.json()
if data["general"]["status"] == "completed":
print(f"Valid: {data['stats']['valid']}/{data['stats']['requested']}")
{
"general": {
"id": "9d4fa0ed-f76b-409f-bee4-d5468ebda70e",
"status": "completed"
},
"results": [
{
"email": "pam.beesly@dundermifflin.com",
"index": "195f87c6-376e-4eca-9861-f92935413b0c",
"qualification": "valid"
},
{
"email": "angela.martin@dundermifflin.com",
"index": "662784ae-3722-47af-b056-7554e013f73b",
"qualification": "valid"
}
],
"stats": {
"credits_cost": 0.5,
"requested": 2,
"valid": 2
}
}
{
"message": "..."
}
GET
Retrieve all results from a bulk email verification using the batch ID. Authenticate every request with your API key in the
See Error handling for the full list of status codes and response formats.
https://api.enrow.io/email/verify/bulk?id={id}
x-api-key header. To start a batch first, use the Verify Bulk Emails endpoint.
Using a webhook allows you to skip calling this GET endpoint. See How Webhooks Work.
Query Parameters
string
required
The
id returned from the POST requestResponse
200 — Verification completed
object
object
Batch statistics
Show stats properties
Show stats properties
number
Total credits consumed. See Credits & billing for per-endpoint costs.
number
Total number of verifications requested
number
Number of valid emails
array
Array of verification results
Show Result properties
Show Result properties
string
The verified email address
string
Unique identifier for this verification in the batch
string
valid (deliverable) or invalid (not deliverable). Why binary?200 — Verification still in progress
While the batch is still running, the endpoint returns HTTP200 with the batch state instead of the full results.
object
Error Responses
| Code | Message |
|---|---|
| 400 | Could not retrieve bulk verification results |
curl --request GET \
--url 'https://api.enrow.io/email/verify/bulk?id=9d4fa0ed-f76b-409f-bee4-d5468ebda70e' \
--header 'x-api-key: YOUR_API_KEY'
const batchId = '9d4fa0ed-f76b-409f-bee4-d5468ebda70e';
const response = await fetch(`https://api.enrow.io/email/verify/bulk?id=${batchId}`, {
headers: {
'x-api-key': process.env.ENROW_API_KEY
}
});
const data = await response.json();
if (data.general.status === 'completed') {
console.log(`Valid: ${data.stats.valid}/${data.stats.requested}`);
console.log(data.results);
}
import requests
import os
batch_id = "9d4fa0ed-f76b-409f-bee4-d5468ebda70e"
url = f"https://api.enrow.io/email/verify/bulk?id={batch_id}"
headers = {
"x-api-key": os.getenv("ENROW_API_KEY")
}
response = requests.get(url, headers=headers)
data = response.json()
if data["general"]["status"] == "completed":
print(f"Valid: {data['stats']['valid']}/{data['stats']['requested']}")
{
"general": {
"id": "9d4fa0ed-f76b-409f-bee4-d5468ebda70e",
"status": "completed"
},
"results": [
{
"email": "pam.beesly@dundermifflin.com",
"index": "195f87c6-376e-4eca-9861-f92935413b0c",
"qualification": "valid"
},
{
"email": "angela.martin@dundermifflin.com",
"index": "662784ae-3722-47af-b056-7554e013f73b",
"qualification": "valid"
}
],
"stats": {
"credits_cost": 0.5,
"requested": 2,
"valid": 2
}
}
{
"message": "..."
}
Next steps
Verify emails in bulk
Start a batch verification and get back the batch
id.Verify a single email
Check whether one email address is valid and deliverable.
Webhooks
Get notified automatically when a batch completes instead of polling.
Credits & billing
See how credits are consumed for each endpoint.
Was this page helpful?

